Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface ADXP

All Superinterfaces:
  ANY, BIN1, ED, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ST1

All Known Subinterfaces:
  AdxpAdditionalLocator, AdxpBuildingNumberSuffix, AdxpCareOf, AdxpCensusTract, AdxpCity, AdxpCountry, AdxpCounty, AdxpDelimiter, AdxpDeliveryAddressLine, AdxpDeliveryInstallationArea, AdxpDeliveryInstallationQualifier, AdxpDeliveryInstallationType, AdxpDeliveryMode, AdxpDeliveryModeIdentifier, AdxpDirection, AdxpHouseNumber, AdxpHouseNumberNumeric, AdxpPostalCode, AdxpPostBox, AdxpPrecinct, AdxpState, AdxpStreetAddressLine, AdxpStreetName, AdxpStreetNameBase, AdxpStreetNameType, AdxpUnitID, AdxpUnitType

All Known Implementing Classes:
  AdxpAdditionalLocatorImpl, AdxpBuildingNumberSuffixImpl, AdxpCareOfImpl, AdxpCensusTractImpl, AdxpCityImpl, AdxpCountryImpl, AdxpCountyImpl, AdxpDelimiterImpl, AdxpDeliveryAddressLineImpl, AdxpDeliveryInstallationAreaImpl, AdxpDeliveryInstallationQualifierImpl, AdxpDeliveryInstallationTypeImpl, AdxpDeliveryModeIdentifierImpl, AdxpDeliveryModeImpl, AdxpDirectionImpl, AdxpHouseNumberImpl, AdxpHouseNumberNumericImpl, ADXPImpl, AdxpPostalCodeImpl, AdxpPostBoxImpl, AdxpPrecinctImpl, AdxpStateImpl, AdxpStreetAddressLineImpl, AdxpStreetNameBaseImpl, AdxpStreetNameImpl, AdxpStreetNameTypeImpl, AdxpUnitIDImpl, AdxpUnitTypeImpl

    public interface ADXP

extends ST1

A representation of the model object 'ADXP'. A character string that may have a type-tag signifying its role in the address. Typical parts that exist in about every address are street, house number, or post box, postal code, city, country but other roles may be defined regionally, nationally, or on an enterprise level (e.g. in military addresses). Addresses are usually broken up into lines, which are indicated by special line-breaking delimiter elements (e.g., DEL).

The following features are supported:

- `Part Type`

See Also:
  `CDAR2Package.getADXP()`

Method Summary
`org.eclipse.emf.common.util.Enumerator` | `getPartType()` Returns the value of the 'Part Type' attribute.
`void` | `setPartType(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Part Type`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ED
`getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPartType

    org.eclipse.emf.common.util.Enumerator getPartType()

  Returns the value of the 'Part Type' attribute. Specifies whether an address part names the street, city, country, postal code, post box, etc. If the type is NULL the address part is unclassified and would simply appear on an address label as is.

  Returns:
    the value of the 'Part Type' attribute.
  See Also:
    `setPartType(Enumerator)`, `CDAR2Package.getADXP_PartType()`

### setPartType

    void setPartType(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Part Type`' attribute.

  Parameters:
    `value` - the new value of the 'Part Type' attribute.
  See Also:
    `getPartType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD